1 Reply Latest reply: Nov 15, 2012 9:33 PM by HACKINT0SH
Mohammad Safwan Level 1 Level 1 (0 points)

I now use the ipod touch4 .. my problem is when I want to update my ipod software he will write your apple id disable...


iPod touch, iOS 5.0.1